Last Comment Bug 692366 - "Assertion failure: srcArgs.callee().getFunctionPrivate()->native() == native" with subarray()
: "Assertion failure: srcArgs.callee().getFunctionPrivate()->native() == native...
Status: RESOLVED FIXED
: assertion, testcase
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86_64 Mac OS X
: -- critical (vote)
: mozilla10
Assigned To: Luke Wagner [:luke]
:
:
Mentors:
Depends on:
Blocks: 326633
  Show dependency treegraph
 
Reported: 2011-10-05 22:05 PDT by Jesse Ruderman
Modified: 2013-01-19 14:30 PST (History)
5 users (show)
choller: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
assert should allow for generic methods (4.89 KB, patch)
2011-10-06 18:15 PDT, Luke Wagner [:luke]
jwalden+bmo: review+
Details | Diff | Splinter Review

Description Jesse Ruderman 2011-10-05 22:05:37 PDT
Uint8Array.subarray(newGlobal('new-compartment'));

Assertion failure: srcArgs.callee().getFunctionPrivate()->native() == native, at js/src/jswrapper.cpp:740

I'm guessing this is related to bug 690825.

(Tested rev 32536d199fcf)
Comment 1 Luke Wagner [:luke] 2011-10-06 18:15:11 PDT
Created attachment 565418 [details] [diff] [review]
assert should allow for generic methods

Noone ever expects js_generic_native_method_dispatcher.  The patch loosens the assert.
Comment 2 Jeff Walden [:Waldo] (remove +bmo to email) 2011-10-07 19:51:25 PDT
Comment on attachment 565418 [details] [diff] [review]
assert should allow for generic methods

Review of attachment 565418 [details] [diff] [review]:
-----------------------------------------------------------------

Grody.
Comment 4 Marco Bonardo [::mak] 2011-10-11 02:30:08 PDT
https://hg.mozilla.org/mozilla-central/rev/246f9b7442b3
Comment 5 Christian Holler (:decoder) 2013-01-19 14:30:51 PST
Automatically extracted testcase for this bug was committed:

https://hg.mozilla.org/mozilla-central/rev/efaf8960a929

Note You need to log in before you can comment on or make changes to this bug.